libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::noticer Struct Reference
Error/warning output

Base class for user-definable error/warning message processor. More...

`#include <connection_base.hxx>`

Inheritance diagram for pqxx::noticer:

## Public Member Functions

| noticer ()
virtual | ~noticer () throw ()
virtual void | operator() (const char Msg[])=0 throw ()

## Detailed Description

Base class for user-definable error/warning message processor.

To define a custom method of handling notices, derive a new class from noticer and override the virtual function

operator()(const char[]) throw()

to process the message passed to it.

## Constructor & Destructor Documentation

pqxx::noticer::noticer | ( |  | ) |

virtual pqxx::noticer::~noticer | ( |  | ) | throw ()

virtual

## Member Function Documentation

virtual void pqxx::noticer::operator() | ( | const char | Msg[] | ) | throw ()

pure virtual

Implemented in pqxx::nonnoticer.

The documentation for this struct was generated from the following file:

- connection_base.hxx